UUIDGEN(1)

NUME
uuidgen - creează o nouă valoare UUID

REZUMAT

uuidgen [opțiuni]

DESCRIERE

Programul uuidgen creează (și afișează) un nou identificator unic universal (UUID) folosind biblioteca libuuid(3). Noul UUID poate fi considerat în mod rezonabil unic între toate UUID-urile create pe sistemul local și între UUID-urile create pe alte sisteme în trecut și în viitor.

Există trei tipuri de UUID-uri pe care uuidgen le poate genera: UUID-uri bazate pe timp, UUID-uri bazate pe numere aleatoare și UUID-uri bazate pe sume de control. În mod implicit, uuidgen va genera un UUID bazat pe numere aleatoare dacă este prezent un generator de numere aleatoare de înaltă calitate. În caz contrar, va alege un UUID bazat pe timp. Este posibil să se forțeze generarea unuia dintre aceste prime două tipuri de UUID-uri prin utilizarea opțiunilor --random sau --time.

Al treilea tip de UUID este generat cu opțiunile --md5 sau --sha1, urmate de --namespace spațiu-nume și --name nume. Opțiunea spațiu-nume poate fi fie un UUID bine cunoscut, fie un alias pentru unul dintre UUID-urile bine cunoscute definite în RFC 4122, și anume @dns, @url, @oid sau @x500. nume este un șir de caractere arbitrar. UUID-ul generat este o sumă de control rezultată din concatenarea UUID-ului de spațiu de nume și a valorii numelui, indexată cu algoritmii MD5 sau SHA1. Prin urmare, este o valoare previzibilă, care poate fi utilă atunci când UUID-urile sunt utilizate ca operatori sau „nonces” (numere arbitrare utilizate doar o singură dată în comunicațiile criptate) pentru valori mai complexe sau pentru valori care nu ar trebui să fie dezvăluite direct. Pentru mai multe informații, consultați RFC.

OPȚIUNI

-r, --random
    Generează un UUID aleatoriu. Această metodă creează un UUID format în mare parte din biți aleatori. Ea necesită ca sistemul de operare să aibă un generator de numere aleatorii de înaltă calitate, cum ar fi /dev/random.

-t, --time
    Generează un UUID bazat pe timp. Această metodă creează un UUID bazat pe ceasul sistemului plus adresa hardware ethernet a sistemului, dacă este prezentă.

-m, --md5
    Utilizează MD5 ca algoritm de sumă de control.

-s, --sha1
    Utilizează SHA1 ca algoritm de sumă de control.

-6, --time-v6
    Generează un UUID bazat pe timp. Această metodă creează un UUID bazat pe ceasul sistemului plus adresa hardware ethernet a sistemului și poate fi sortat lexicografic în funcție de marca de timp conținută.

-7, --time-v7
    Generează un UUID bazat pe timp. Această metodă creează un UUID bazat pe ceasul sistemului plus adresa hardware ethernet a sistemului și poate fi sortat lexicografic în funcție de marca de timp conținută.

-n, --namespace spațiu-de-nume
    Generează suma de control cu prefixul spațiu-de-nume. spațiu-de-nume este UUID sau „@ns”, unde „ns” este un UUID predefinit bine-cunoscut adresat prin numele spațiului de nume (a se vedea mai sus).

-N, --name nume
    Generează suma de control pentru nume.

-c, --count număr
    Generează mai multe UUID-uri utilizând capacitatea îmbunătățită a libuuid de a stoca în memoria cache UUID-uri bazate pe timp, ceea ce duce la o performanță îmbunătățită. Cu toate acestea, acest lucru nu are nicio importanță pentru alte tipuri de UUID.

-x, --hex
    Interpretează numele nume ca un șir hexazecimal.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

ÎN CONFORMITATE CU

OSF DCE 1.1

EXEMPLE

uuidgen --sha1 --namespace @dns --name "www.exemplu.com"

AUTORI

uuidgen a fost scris de Andreas Dilger pentru libuuid(3).

CONSULTAȚI ȘI

uuidparse(1), libuuid(3),

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda uuidgen face parte din pachetul util-linux care poate fi descărcat de la